import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:pharmacy_mobile/widgets/consultation_widget.dart';
import 'package:pharmacy_mobile/widgets/customer_pagebackground_widget.dart';
import 'package:pharmacy_mobile/widgets/customer_title_widget.dart';
import 'package:pharmacy_mobile/widgets/description_menu_widget.dart';
import 'package:pharmacy_mobile/widgets/indicator_widget.dart';

class CustomerMainPage extends StatefulWidget {
  const CustomerMainPage({super.key});

  @override
  State<CustomerMainPage> createState() => _CustomerMainPageState();
}

class _CustomerMainPageState extends State<CustomerMainPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: CustomerPagebackgroundWidget(
          height: MediaQuery.of(context).size.height * 1.4,
            child: Column(
      children: [
        const Gap(68),
        const CustomerTitleWidget(),
        const Gap(16),
        const IndicatorWidget(text: 'Pharmacist Consultation'),
        const Gap(8),
        ConsultationWidget(
          name: 'Ofelia Franco-Alcala, RPh',
          description: 'Pharmacist',
          contact: '09205436095',
          imagePath: 'assets/images/profile.webp',
          color: 'pink',
          margin: 32,
        ),
        // const Gap(8),
        // ConsultationWidget(
        //   name: 'Pamela Claire Alcala, RPh',
        //   description: 'Pharmacist',
        //   contact: '09205436095',
        //   imagePath: 'assets/images/profile.webp',
        //   color: 'pink',
        //   margin: 32,
        // ),
        const Gap(16),
        const IndicatorWidget(text: 'Doctor Consultation'),
        // const Row(
        //   mainAxisAlignment: MainAxisAlignment.start,
        //   children: [
        //     TextWidget(
        //       text: 'Doctor Consultation',
        //       title: true,
        //       size: 14,
        //     ),
        //   ],
        // ),
        const Gap(8),
        ConsultationWidget(
          name: 'Floherna Franco-Diccion, PhD',
          description: 'Physician',
          contact: '09205436095',
          imagePath: 'assets/images/profile.webp',
          color: 'blue',
          margin: 32,
        ),
        const Gap(16),
        const IndicatorWidget(text: 'Common Medical Symptoms'),
        const Gap(8),
        const DescriptionMenuWidget(
            title: 'Fever', description: "A fever is when your body temperature rises...", margin: 16),
        const Gap(8),
        const DescriptionMenuWidget(
            title: 'Headache', description: "A headache is when the muscles in your head...", margin: 16),
        const Gap(8),
        const DescriptionMenuWidget(
            title: 'Toothache', description: "a.k.a tooth pain, is pain in the teeth or their...", margin: 16),
        const Gap(8),
        const DescriptionMenuWidget(
            title: 'Stomach Ache', description: " is a symptom associated with both non-serious...", margin: 16),
      ],
    )));
  }
}
